Index: src/sas/sasgui/perspectives/calculator/detector_editor.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/detector_editor.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sasgui/perspectives/calculator/detector_editor.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
@@ -1,3 +1,2 @@
-from __future__ import print_function
 
 import wx
@@ -35,5 +34,5 @@
             self.set_values()
         except:
-            print("error", sys.exc_value)
+            print "error", sys.exc_value
 
     def _define_structure(self):
Index: src/sas/sasgui/perspectives/calculator/gen_scatter_panel.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/gen_scatter_panel.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sasgui/perspectives/calculator/gen_scatter_panel.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -3,5 +3,4 @@
 This module relies on guiframe manager.
 """
-from __future__ import print_function
 
 import wx
@@ -1999,5 +1998,5 @@
             self.panel.set_volume_ctl_val(str(val))
         except:
-            print("self.panel is not initialized yet")
+            print "self.panel is not initialized yet"
 
     def set_omfpanel_default_shap(self, shape):
Index: src/sas/sasgui/perspectives/calculator/image_viewer.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/image_viewer.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sasgui/perspectives/calculator/image_viewer.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -1,4 +1,2 @@
-from __future__ import print_function
-
 import os
 import sys
@@ -80,5 +78,5 @@
                 wx.PostEvent(parent, StatusEvent(status=err_msg, info="error"))
             else:
-                print(err_msg)
+                print err_msg
 
     def choose_data_file(self, location=None):
@@ -303,5 +301,5 @@
                                                     info="error"))
             else:
-                print(err_msg)
+                print err_msg
         return flag
 
@@ -334,5 +332,5 @@
                                                     info="error"))
             else:
-                print(err_msg)
+                print err_msg
         return flag
 
@@ -363,5 +361,5 @@
                                                     info="error"))
             else:
-                print(err_msg)
+                print err_msg
 
         self.OnClose(event)
Index: src/sas/sasgui/perspectives/calculator/model_editor.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/model_editor.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sasgui/perspectives/calculator/model_editor.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -23,6 +23,4 @@
 #copyright 2009, University of Tennessee
 ################################################################################
-from __future__ import print_function
-
 import wx
 import sys
@@ -873,5 +871,5 @@
         # Put the cursor at appropriate position
         length = len(label)
-        print(length)
+        print length
         if label[length-1] == ')':
             length -= 1
Index: src/sas/sasgui/perspectives/fitting/basepage.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/basepage.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sasgui/perspectives/fitting/basepage.py	(revision ac0578cbd1e386c1f53e80a19f8b71c89037567a)
@@ -2,6 +2,4 @@
 Base Page for fitting
 """
-from __future__ import print_function
-
 import sys
 import os
@@ -659,8 +657,8 @@
         # It seems MAC needs wxCallAfter
         if event.GetId() == GUIFRAME_ID.COPYEX_ID:
-            print("copy excel")
+            print "copy excel"
             wx.CallAfter(self.get_copy_excel)
         elif event.GetId() == GUIFRAME_ID.COPYLAT_ID:
-            print("copy latex")
+            print "copy latex"
             wx.CallAfter(self.get_copy_latex)
         else:
@@ -3370,6 +3368,6 @@
         except Exception:
             logger.error(traceback.format_exc())
-            print("Error in BasePage._paste_poly_help: %s" % \
-                  sys.exc_info()[1])
+            print "Error in BasePage._paste_poly_help: %s" % \
+                  sys.exc_info()[1]
 
     def _set_disp_cb(self, isarray, item):
@@ -3400,5 +3398,5 @@
             Moveit; This method doesn't belong here
         """
-        print("BasicPage.update_pinhole_smear was called: skipping")
+        print "BasicPage.update_pinhole_smear was called: skipping"
         return
 
@@ -3576,5 +3574,5 @@
         # check model type to show sizer
         if self.model is not None:
-            print("_set_model_sizer_selection: disabled.")
+            print "_set_model_sizer_selection: disabled."
             # self._set_model_sizer_selection(self.model)
 
Index: src/sas/sasgui/perspectives/fitting/fitting.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/fitting.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sasgui/perspectives/fitting/fitting.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -11,6 +11,4 @@
 #copyright 2009, University of Tennessee
 ################################################################################
-from __future__ import print_function
-
 import re
 import sys
@@ -1255,5 +1253,5 @@
         """
         """
-        print("update_fit result", result)
+        print "update_fit result", result
 
     def _batch_fit_complete(self, result, pars, page_id,
@@ -2048,5 +2046,5 @@
             res = (fn - gn) / en
         except ValueError:
-            print("Unmatch lengths %s, %s, %s" % (len(fn), len(gn), len(en)))
+            print "Unmatch lengths %s, %s, %s" % (len(fn), len(gn), len(en))
             return
 
Index: src/sas/sasgui/perspectives/fitting/models.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/models.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sasgui/perspectives/fitting/models.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -2,6 +2,4 @@
     Utilities to manage models
 """
-from __future__ import print_function
-
 import traceback
 import os
@@ -143,5 +141,5 @@
         type, value, tb = sys.exc_info()
         if type is not None and issubclass(type, py_compile.PyCompileError):
-            print("Problem with", repr(value))
+            print "Problem with", repr(value)
             raise type, value, tb
         return 1
Index: src/sas/sasgui/perspectives/pr/pr.py
===================================================================
--- src/sas/sasgui/perspectives/pr/pr.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sasgui/perspectives/pr/pr.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -15,5 +15,4 @@
 # Make sure the option of saving each curve is available
 # Use the I(q) curve as input and compare the output to P(r)
-from __future__ import print_function
 
 import sys
@@ -231,5 +230,5 @@
         out, cov = pr.pr_fit()
         for i in range(len(out)):
-            print("%g +- %g" % (out[i], math.sqrt(cov[i][i])))
+            print "%g +- %g" % (out[i], math.sqrt(cov[i][i]))
 
         # Show input P(r)
@@ -319,5 +318,5 @@
             except:
                 err[i] = 1.0
-                print("Error getting error", value, x[i])
+                print "Error getting error", value, x[i]
 
         new_plot = Data1D(x, y)
Index: src/sas/sasgui/perspectives/simulation/ShapeParameters.py
===================================================================
--- src/sas/sasgui/perspectives/simulation/ShapeParameters.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sasgui/perspectives/simulation/ShapeParameters.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
@@ -8,6 +8,4 @@
 copyright 2009, University of Tennessee
 """
-from __future__ import print_function
-
 import wx
 import sys
@@ -314,5 +312,5 @@
             self.parent.GetSizer().Layout()
         except:
-            print("TODO: move the Layout call of editShape up to the caller")
+            print "TODO: move the Layout call of editShape up to the caller"
 
     def _readCtrlFloat(self, ctrl):
@@ -394,6 +392,6 @@
                     self.current_shape.params[item[0]] = tmp 
         except:
-            print("Could not create")
-            print(sys.exc_value)
+            print "Could not create"
+            print sys.exc_value
                 
     def _onCreate(self, evt):
@@ -487,5 +485,5 @@
         indices = self.shape_listbox.GetSelections()
         if len(indices)>0:
-            print("NOT YET IMPLMENTED")
-            print("renaming", self.shape_listbox.GetString(indices[0]))
-                
+            print "NOT YET IMPLMENTED"
+            print "renaming", self.shape_listbox.GetString(indices[0])
+                
Index: src/sas/sasgui/plottools/PlotPanel.py
===================================================================
--- src/sas/sasgui/plottools/PlotPanel.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sasgui/plottools/PlotPanel.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -2,6 +2,4 @@
     Plot panel.
 """
-from __future__ import print_function
-
 import logging
 import traceback
@@ -40,5 +38,5 @@
 def show_tree(obj, d=0):
     """Handy function for displaying a tree of graph objects"""
-    print("%s%s" % ("-"*d, obj.__class__.__name__))
+    print "%s%s" % ("-"*d, obj.__class__.__name__)
     if 'get_children' in dir(obj):
         for a in obj.get_children(): show_tree(a, d + 1)
@@ -2016,5 +2014,5 @@
             self.toolbar.copy_figure(self.canvas)
         except:
-            print("Error in copy Image")
+            print "Error in copy Image"
 
 
Index: src/sas/sasgui/plottools/binder.py
===================================================================
--- src/sas/sasgui/plottools/binder.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sasgui/plottools/binder.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -2,6 +2,4 @@
 Extension to MPL to support the binding of artists to key/mouse events.
 """
-from __future__ import print_function
-
 import sys
 import logging
@@ -65,5 +63,5 @@
             ]
         except:
-            print("bypassing scroll_event: wrong matplotlib version")
+            print "bypassing scroll_event: wrong matplotlib version"
             self._connections = [
                 canvas.mpl_connect('motion_notify_event', self._onMotion),
Index: src/sas/sasgui/plottools/convert_units.py
===================================================================
--- src/sas/sasgui/plottools/convert_units.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sasgui/plottools/convert_units.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
@@ -3,6 +3,4 @@
     This is a cleaned up version of unitConverter.py
 """
-from __future__ import print_function
-
 import re
 import string
@@ -70,11 +68,11 @@
     unit8 = "m/s^{4}"  #         x^2               (m/s^{4})^{2}
 
-    print("this unit1 %s ,its powerer %s , and value %s" % (unit1, 1, convert_unit(1, unit1)))
-    print("this unit2 %s ,its powerer %s , and value %s" % (unit2, 1, convert_unit(1, unit2)))
-    print("this unit3 %s ,its powerer %s , and value %s" % (unit3, 2, convert_unit(2, unit3)))
-    print("this unit4 %s ,its powerer %s , and value %s" % (unit4, -1, convert_unit(-1, unit4)))
-    print("this unit5 %s ,its powerer %s , and value %s" % (unit5, 2, convert_unit(2, unit5)))
-    print("this unit6 %s ,its powerer %s , and value %s" % (unit6, 2, convert_unit(2, unit6)))
-    print("this unit7 %s ,its powerer %s , and value %s" % (unit7, -1, convert_unit(-1, unit7)))
-    print("this unit8 %s ,its powerer %s , and value %s" % (unit8, 2, convert_unit(2, unit8)))
-    print("this unit9 %s ,its powerer %s , and value %s" % (unit9, 2, convert_unit(2, unit9)))
+    print "this unit1 %s ,its powerer %s , and value %s" % (unit1, 1, convert_unit(1, unit1))
+    print "this unit2 %s ,its powerer %s , and value %s" % (unit2, 1, convert_unit(1, unit2))
+    print "this unit3 %s ,its powerer %s , and value %s" % (unit3, 2, convert_unit(2, unit3))
+    print "this unit4 %s ,its powerer %s , and value %s" % (unit4, -1, convert_unit(-1, unit4))
+    print "this unit5 %s ,its powerer %s , and value %s" % (unit5, 2, convert_unit(2, unit5))
+    print "this unit6 %s ,its powerer %s , and value %s" % (unit6, 2, convert_unit(2, unit6))
+    print "this unit7 %s ,its powerer %s , and value %s" % (unit7, -1, convert_unit(-1, unit7))
+    print "this unit8 %s ,its powerer %s , and value %s" % (unit8, 2, convert_unit(2, unit8))
+    print "this unit9 %s ,its powerer %s , and value %s" % (unit9, 2, convert_unit(2, unit9))
Index: src/sas/sasgui/plottools/fittings.py
===================================================================
--- src/sas/sasgui/plottools/fittings.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sasgui/plottools/fittings.py	(revision ac07a3acc20dbf79c564bf642aece71a02c2c862)
@@ -14,6 +14,4 @@
 
 """
-from __future__ import print_function
-
 from scipy import optimize
 
@@ -108,4 +106,4 @@
     chisqr, out, cov = sasfit(line, [cstA, cstB], event.x, y, 0)
     # print "Output parameters:", out
-    print("The right answer is [70.0, 1.0]")
-    print(chisqr, out, cov)
+    print "The right answer is [70.0, 1.0]"
+    print chisqr, out, cov
Index: src/sas/sasgui/plottools/plottable_interactor.py
===================================================================
--- src/sas/sasgui/plottools/plottable_interactor.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sasgui/plottools/plottable_interactor.py	(revision 45dffa69cb5935e2da7c77a2f040debb07ceb1c6)
@@ -2,8 +2,5 @@
     This module allows more interaction with the plot
 """
-from __future__ import print_function
-
 from BaseInteractor import _BaseInteractor
-
 
 class PointInteractor(_BaseInteractor):
@@ -159,5 +156,5 @@
 
     def clear(self):
-        print("plottable_interactor.clear()")
+        print "plottable_interactor.clear()"
 
     def _on_click(self, evt):
Index: test/fileconverter/test/utest_nxcansas_writer.py
===================================================================
--- test/fileconverter/test/utest_nxcansas_writer.py	(revision 17c943656cb7c598b2d5cf9530ed6227d88ae6f9)
+++ test/fileconverter/test/utest_nxcansas_writer.py	(revision c476457a8268dc70465327ac7898306c6c214bb4)
@@ -66,4 +66,2 @@
         if os.path.isfile(self.write_file_1d):
             os.remove(self.write_file_1d)
-        if os.path.isfile(self.write_file_2d):
-            os.remove(self.write_file_2d)
Index: test/pr_inversion/test/utest_invertor.py
===================================================================
--- test/pr_inversion/test/utest_invertor.py	(revision aaf5e497ff1af2aa7b8b3d361ab951e2a0ca7c93)
+++ test/pr_inversion/test/utest_invertor.py	(revision ac07a3acc20dbf79c564bf642aece71a02c2c862)
@@ -6,14 +6,9 @@
 # Disable "too many methods" complaint 
 # pylint: disable-msg=R0904 
-from __future__ import print_function
-
-
-import os
-import unittest
-import math
-import numpy
+
+
+import unittest, math, numpy
 from sas.sascalc.pr.invertor import Invertor
-
-
+        
 class TestFiguresOfMerit(unittest.TestCase):
             
@@ -240,5 +235,5 @@
             self.assertTrue(chi2/51.0<10.0)
         except:
-            print("chi2 =", chi2/51.0)
+            print "chi2 =", chi2/51.0
             raise
         
@@ -268,5 +263,5 @@
             self.assertTrue(self.invertor.chi2/len(x)<200.00)
         except:
-            print("Chi2(I(q)) =", self.invertor.chi2/len(x))
+            print "Chi2(I(q)) =", self.invertor.chi2/len(x)
             raise
         
@@ -302,5 +297,5 @@
             self.assertTrue(chi2/51.0<50.0)
         except:
-            print("chi2(P(r)) =", chi2/51.0)
+            print "chi2(P(r)) =", chi2/51.0
             raise
         
@@ -346,5 +341,5 @@
             self.assertTrue(self.invertor.chi2>0)
         except:
-            print("Chi2 =", self.invertor.chi2)
+            print "Chi2 =", self.invertor.chi2
             raise
                             
@@ -370,5 +365,5 @@
             self.assertTrue(self.invertor.chi2>0)
         except:
-            print("Chi2 =", self.invertor.chi2)
+            print "Chi2 =", self.invertor.chi2
             raise
         
@@ -421,15 +416,12 @@
         
         # Save
-        f_name = "test_output.txt"
-        self.invertor.to_file(f_name)
+        self.invertor.to_file("test_output.txt")
     
         # Load
-        self.invertor.from_file(f_name)
+        self.invertor.from_file("test_output.txt")
         self.assertEqual(self.invertor.d_max, 160.0)
         self.assertEqual(self.invertor.alpha, 0.0007)
         self.assertEqual(self.invertor.chi2, 836.797)
         self.assertAlmostEqual(self.invertor.pr(self.invertor.out, 10.0), 903.31577041, 4)
-        if os.path.isfile(f_name):
-            os.remove(f_name)
         
     def test_qmin(self):
Index: test/run_one.py
===================================================================
--- test/run_one.py	(revision aaf5e497ff1af2aa7b8b3d361ab951e2a0ca7c93)
+++ test/run_one.py	(revision aaad4c950340dd661ea6ea88902bb2c1a895de57)
@@ -1,4 +1,3 @@
 #!/usr/bin/env python
-from __future__ import print_function
 
 import os
@@ -25,5 +24,5 @@
 #print "\n".join(sys.path)
 test_path,test_file = splitpath(abspath(sys.argv[1]))
-print("=== testing:",sys.argv[1])
+print "=== testing:",sys.argv[1]
 #print test_path, test_file
 sys.argv = [sys.argv[0]]
Index: test/sasdataloader/plugins/test_reader.py
===================================================================
--- test/sasdataloader/plugins/test_reader.py	(revision aaf5e497ff1af2aa7b8b3d361ab951e2a0ca7c93)
+++ test/sasdataloader/plugins/test_reader.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
@@ -8,6 +8,4 @@
 copyright 2008, University of Tennessee
 """
-from __future__ import print_function
-
 import os
 import numpy as np
@@ -61,5 +59,5 @@
     reader = Reader()
     output = reader.read("../test/test_data.test")
-    print(output.x)
+    print output.x
     
     
Index: test/sasdataloader/test/sequence_tests.py
===================================================================
--- test/sasdataloader/test/sequence_tests.py	(revision aaf5e497ff1af2aa7b8b3d361ab951e2a0ca7c93)
+++ test/sasdataloader/test/sequence_tests.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
@@ -1,4 +1,2 @@
-from __future__ import print_function
-
 from DataLoader.loader import Loader
 from DataLoader.readers.IgorReader import Reader as igor_reader
@@ -10,5 +8,5 @@
     out2 = Loader().load("MAR07232_rest.ASC")
     if len(out2.detector)>1:
-        print("Consecutive reads using Loader failed")
+        print "Consecutive reads using Loader failed"
 
 def consecutive_reader():
@@ -16,7 +14,7 @@
     out2 = igor_reader().read("MAR07232_rest.ASC")
     if len(out2.detector)>1:
-        print("Consecutive reads using Readers failed")
-        print(out1)
-        print(out2)
+        print "Consecutive reads using Readers failed"
+        print out1
+        print out2
 
 def single_abs():
@@ -31,3 +29,3 @@
     single_igor()
     single_abs()
-    print("Test passed")
+    print "Test passed"
Index: test/sasdataloader/test/testplugings.py
===================================================================
--- test/sasdataloader/test/testplugings.py	(revision 17c943656cb7c598b2d5cf9530ed6227d88ae6f9)
+++ test/sasdataloader/test/testplugings.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
@@ -3,5 +3,4 @@
 """
 
-import os
 import unittest
 from sas.sascalc.dataloader.loader import  Loader, Registry
@@ -42,10 +41,7 @@
         # Create module
         import zipfile
-        f_name = "plugins.zip"
-        z = zipfile.PyZipFile(f_name, 'w')
+        z = zipfile.PyZipFile("plugins.zip", 'w')
         z.writepy("../plugins", "")
         z.close()
-        if os.path.isfile(f_name):
-            os.remove(f_name)
         
     def testplugin_checksetup(self):
Index: test/sasdataloader/test/utest_abs_reader.py
===================================================================
--- test/sasdataloader/test/utest_abs_reader.py	(revision c551bb3b1844a2c446021559f24b790187450d46)
+++ test/sasdataloader/test/utest_abs_reader.py	(revision dd11014add466ed4ba0564fcf61e5880d53e6c8b)
@@ -2,5 +2,4 @@
     Unit tests for data manipulations
 """
-from __future__ import print_function
 
 import unittest
@@ -9,20 +8,14 @@
 from sas.sascalc.dataloader.loader import Loader
 from sas.sascalc.dataloader.readers.IgorReader import Reader as IgorReader
-from sas.sascalc.dataloader.readers.abs_reader import Reader as AbsReader
-from sas.sascalc.dataloader.readers.hfir1d_reader import Reader as HFIRReader
-from sas.sascalc.dataloader.readers.danse_reader import Reader as DANSEReader
-from sas.sascalc.dataloader.readers.cansas_reader import Reader as CANSASReader
-
 from sas.sascalc.dataloader.data_info import Data1D
  
 import os.path
 
-
 class abs_reader(unittest.TestCase):
     
     def setUp(self):
-        reader = AbsReader()
-        self.data = reader.read("jan08002.ABS")
-
+        from sas.sascalc.dataloader.readers.abs_reader import Reader
+        self.data = Reader().read("jan08002.ABS")
+        
     def test_abs_checkdata(self):
         """
@@ -68,17 +61,10 @@
     def test_checkdata2(self):
         self.assertEqual(self.data.dy[126], 1)
-
-    def test_generic_loader(self):
-        # the generic loader should work as well
-        data = Loader().load("jan08002.ABS")
-        self.assertEqual(data.meta_data['loader'], "IGOR 1D")
-
-
+        
 class hfir_reader(unittest.TestCase):
-
+    
     def setUp(self):
-        reader = HFIRReader()
-        self.data = reader.read("S2-30dq.d1d")
-
+        self.data = Loader().load("S2-30dq.d1d")
+        
     def test_hfir_checkdata(self):
         """
@@ -97,10 +83,5 @@
         self.assertEqual(self.data.dy[1], 0.000315)
         self.assertEqual(self.data.dx[1], 0.008249)
-
-    def test_generic_loader(self):
-        # the generic loader should work as well
-        data = Loader().load("S2-30dq.d1d")
-        self.assertEqual(data.meta_data['loader'], "HFIR 1D")
-
+        
 
 class igor_reader(unittest.TestCase):
@@ -156,6 +137,5 @@
     
     def setUp(self):
-        reader = DANSEReader()
-        self.data = reader.read("MP_New.sans")
+        self.data = Loader().load("MP_New.sans")
 
     def test_checkdata(self):
@@ -191,22 +171,11 @@
         self.assertEqual(self.data.err_data[2], 2.06313)
 
-    def test_generic_loader(self):
-        # the generic loader should work as well
-        data = Loader().load("MP_New.sans")
-        self.assertEqual(data.meta_data['loader'], "DANSE")
-
  
 class cansas_reader(unittest.TestCase):
     
     def setUp(self):
-        reader = CANSASReader()
-        data = reader.read("cansas1d.xml")
+        data = Loader().load("cansas1d.xml")
         self.data = data[0]
-
-    def test_generic_loader(self):
-        # the generic loader should work as well
-        data = Loader().load("cansas1d.xml")
-        self.assertEqual(data[0].meta_data['loader'], "CanSAS XML 1D")
-
+ 
     def test_cansas_checkdata(self):
         self.assertEqual(self.data.filename, "cansas1d.xml")
@@ -221,4 +190,5 @@
             tests won't pass
         """
+        
         self.assertEqual(self.data.run[0], "1234")
         self.assertEqual(self.data.meta_data['loader'], "CanSAS XML 1D")
@@ -294,15 +264,15 @@
             self.assertEqual(item.distance_unit,'mm')
 
-            if item.size.x == 50 \
-                and item.distance == 11000.0 \
-                and item.name == 'source' \
-                and item.type == 'radius':
+            if item.size.x==50 \
+                and item.distance==11000.0 \
+                and item.name=='source' \
+                and item.type=='radius':
                 _found1 = True
-            elif item.size.x == 1.0 \
-                and item.name == 'sample' \
-                and item.type == 'radius':
+            elif item.size.x==1.0 \
+                and item.name=='sample' \
+                and item.type=='radius':
                 _found2 = True
                 
-        if _found1 == False or _found2 == False:
+        if _found1==False or _found2==False:
             raise RuntimeError, "Could not find all data %s %s" % (_found1, _found2) 
             
@@ -339,21 +309,28 @@
             self.assertTrue(item.date in ['04-Sep-2007 18:35:02',
                                           '03-SEP-2006 11:42:47'])
-            print(item.term)
+            print item.term
             for t in item.term:
-                if (t['name'] == "ABS:DSTAND"
-                    and t['unit'] == 'mm'
-                    and float(t['value']) == 1.0):
+                if t['name']=="ABS:DSTAND" \
+                    and t['unit']=='mm' \
+                    and float(t['value'])==1.0:
                     _found_term2 = True
-                elif (t['name'] == "radialstep"
-                      and t['unit'] == 'mm'
-                      and float(t['value']) == 10.0):
+                elif t['name']=="radialstep" \
+                    and t['unit']=='mm' \
+                    and float(t['value'])==10.0:
                     _found_term1 = True
                     
-        if _found_term1 == False or _found_term2 == False:
-            raise RuntimeError, "Could not find all process terms %s %s" % (_found_term1, _found_term2)
+        if _found_term1==False or _found_term2==False:
+            raise RuntimeError, "Could not find all process terms %s %s" % (_found_term1, _found_term2) 
+            
+        
+        
         
     def test_writer(self):
-        r = CANSASReader()
-
+        from sas.sascalc.dataloader.readers.cansas_reader import Reader
+        r = Reader()
+        x = np.ones(5)
+        y = np.ones(5)
+        dy = np.ones(5)
+        
         filename = "write_test.xml"
         r.write(filename, self.data)
@@ -362,6 +339,4 @@
         self.assertEqual(self.data.filename, filename)
         self._checkdata()
-        if os.path.isfile(filename):
-            os.remove(filename)
         
     def test_units(self):
@@ -371,5 +346,5 @@
         """
         filename = "cansas1d_units.xml"
-        data = CANSASReader().read(filename)
+        data = Loader().load(filename)
         self.data = data[0]
         self.assertEqual(self.data.filename, filename)
@@ -382,5 +357,5 @@
         """
         filename = "cansas1d_badunits.xml"
-        data = CANSASReader().read(filename)
+        data = Loader().load(filename)
         self.data = data[0]
         self.assertEqual(self.data.filename, filename)
@@ -391,7 +366,8 @@
         
         self.assertEqual(self.data.meta_data['loader'], "CanSAS XML 1D")
-        print(self.data.errors)
+        print self.data.errors
         self.assertEqual(len(self.data.errors), 1)
-
+        
+        
     def test_slits(self):
         """
@@ -399,5 +375,5 @@
         """
         filename = "cansas1d_slit.xml"
-        data = CANSASReader().read(filename)
+        data = Loader().load(filename)
         self.data = data[0]
         self.assertEqual(self.data.filename, filename)
@@ -421,5 +397,6 @@
         self.assertEqual(self.data.run_name['1234'], 'run name')
         self.assertEqual(self.data.title, "Test title")
-
+        
+            
 
 if __name__ == '__main__':
